Please upgrade here. These earlier versions are no longer being updated and have security issues.

Upgrading from 2.0.x to 2.1 stable

Comments

  • DenisSDenisS My brain hurts Buriram ✭✭
    edited May 2014

    Today i tried up-grading from 2.0 to 2.1 I followed all the instructions ( i think ) Disabled all plugins, some would not so deleted them.
    My Config: > $Configuration['Conversations']['Version'] = '2.0.18.4'; Should i change this manually?
    I put ( $Configuration['Debug'] = TRUE; )in config
    I ran this >> /utility/update
    Failure
    The update was not successful.
    Info Need to re-index theme cache
    Info Need to re-index plugin cache
    Recent News
    Version 2.1

    Theme = +Baselineversion 2.1by Mark O'Sullivan
    I did try my FB theme but just the colour changed.

    The dashboard seems ok:
    But the home page is a mess all over to the left:

    View here > http://www.udon-expatsforum.services-thai.com/discussions

  • I can't really comment on a 2.0 to 2.1 upgrade because I've used 2.1(beta) right from the beginning. You should follow the upgrade instructions in the provided readme file. The default template obviously has changed from 2.0 to 2.1, so you'd need to compare to yours and delete the files in the /cache folder afterwards.

  • vrijvlindervrijvlinder Papillon-Sauvage MVP
    edited May 2014

    @DenisS‌

    You need to remove the old default.master.php from the applications/dashboard/views folder.

    run utility/structure as well.

    Then you will most likely need to re edit the css or try another theme. Maybe you will like my new BetterBitter theme. See if things look better.

    peregrineUnderDog
  • peregrineperegrine MVP
    edited May 2014

    see instructions for installation if perhaps you didn't follow them of see them. (as well as some of the comments on the link below) if followed correctly - should give you no problems. especially step 4.

    http://vanillaforums.org/discussion/26685/vanilla-2-1-stable-released/p1

    if doing step 4 exactly didn't help - this is something to look at why you got this I ran this >> /utility/update Failure

    try /utility/update and /utility/structure a few times to see if you still get errors.

    also

     Need to re-index theme cache Info 
    Need to re-index 
    

    is 'normal" to see and should probably be removed by the developers unless it really does provide something informative since it is kind of red herring that scares people.

    I may not provide the completed solution you might desire, but I do try to provide honest suggestions to help you solve your issue.

    vrijvlinderUnderDog
  • vrijvlindervrijvlinder Papillon-Sauvage MVP
    edited May 2014

    Actually the warning there points to the default.master.php if you go to his site.

    He need to delete the default.master.php , but he put a bunch of stuff in it and probably does not want to mess with it. But his site would look much nicer if he deleted the default.master.php for the dashboard/views folder.

    And use one of my themes like DeepSea which goes nice with life on the Islands.

  • DenisSDenisS My brain hurts Buriram ✭✭

    I followed all the instructions 100% again today and now have re-installed my back up. I'll wait until i have another 2 or 3 days to try again. This still never worked > /index.php?p=/utility/update > Error > The update was not successful. Info Need to re-index theme cache Info Need to re-index plugin cache Recent News Version 2.1

  • peregrineperegrine MVP
    edited June 2014

    @DenisS

    Instead of saying you followed all instructions 100%.

    list the steps that you did. I find 50% of the people who say I followed the steps 100%, actually didn't follow the steps 100%. So, if you list 100% of the steps that you did, you may find out what may have caused your issue.

    also see: http://vanillaforums.org/discussion/comment/199091/#Comment_199091

    I may not provide the completed solution you might desire, but I do try to provide honest suggestions to help you solve your issue.

    UnderDog
Sign In or Register to comment.